function browserRedirect() {
var sUserAgent= navigator.userAgent.toLowerCase();
var bIsIpad= sUserAgent.match(/ipad/i) == "ipad";
var bIsIphoneOs= sUserAgent.match(/iphone os/i) == "iphone os";
var bIsMidp= sUserAgent.match(/midp/i) == "midp";
var bIsUc7= sUserAgent.match(/rv:1.2.3.4/i) == "rv:1.2.3.4";
var bIsUc= sUserAgent.match(/ucweb/i) == "ucweb";
var bIsAndroid= sUserAgent.match(/android/i) == "android";
var bIsCE= sUserAgent.match(/windows ce/i) == "windows ce";
var bIsWM= sUserAgent.match(/windows mobile/i) == "windows mobile";

var fromMob= document.referrer;
var from= fromMob.match(/m.51junshi.cc/i);

if(from!="m.51junshi.com"){
    if (bIsIpad || bIsIphoneOs || bIsMidp || bIsUc7 || bIsUc || bIsAndroid || bIsCE || bIsWM) {
        var fw=parseInt("768");
        var fh=parseInt("1024");
        var uw=parseInt(window.screen.width);
        var uh=parseInt(window.screen.height);
        if(uw<fw || uh<fh) {
            window.location.href= 'http://m.51junshi.cc';
        }
    }
}
}
browserRedirect();


